have anyone package siemens procenter? i need some help with it

Thanks
0 Comments   [ + ] Show Comments

Comments

Please log in to comment

Rating comments in this legacy AppDeploy message board thread won't reorder them,
so that the conversation will remain readable.

Answers

0
Hi linstead,

As a matter of fact I recently packaged that one.

I started out using Wise Package Studio (5.1). But wise didn't get the dependencies right so I used AdminStudio (5.5) which worked OK.
Main issue after that was that I had to update the %systemroot%\system32\drivers\etc\services file. I did that using a wisescript custom action.

Do you have some more details?

Ilikebananas
Answered 10/24/2005 by: Ilikebananas
Purple Belt

Please log in to comment
0
Hi, I recently did HiPath ProCentre Client 5.1.100 (Agent component) - it wasn't too tricky, is that the same version you are working on?

We have a new version to start today too - still waiting for the media so not sure what version yet..

What's the problem you are having?

Cheers,
Rob.

EDIT: Just got the media - it's HiPath ProCentre Standard v6.5 and it's come as a vendor MSI which is progress :-)
Answered 10/25/2005 by: MSIPackager
Third Degree Black Belt

Please log in to comment
0
i have procenter 5.1 the problem i run into is that i snap the install using installsheild but the reporter is not working, if you can give me step on how you got it work that would be very help full because i try including everything with no help, the supervisior part works fine, only the reporter. you can email me
or let me know how you want to contact me if that is easier. also i don't have a msi i only have a setup.exe did you guys have msi?

Thank you
Answered 10/25/2005 by: linstead
Blue Belt

Please log in to comment
0
sorry i forgot to run the dependency scanner (one of those weeks)
Answered 10/25/2005 by: linstead
Blue Belt

Please log in to comment
0
Nope, for v5.1 it was a setup.exe - I repackaged the install into an MSI... didn't have to include the reporter components though, only the Agent Desktop Application and Language Sepcifid DLLs (U.S. English only) so not sure how much I'll be able to help.

The full version I did was 5.1.100 which also had a patch to apply which comes as PatchAutoPAC.exe (crappy patching program) - do you need the patch too maybe? The v5.1 install routine was awful :-(

We did a manual install doc for the supervisor / reporter components etc as there are only 1 or 2 users. We did have to relax desktop permissions to get all of the supervisor funtions working though - maybe that's your problem. Seems to be resolved in v6.5 though.

Can you be more specific and I'll do my best to help...

Cheers,
Rob.

P.S. Just finished v6.5 (including another lame PatchAutoPAC.exe patch lol) - it's now gone for QA but the installer is much better to start with and you lose all that Informix crap. Push for an upgrade!! [;)]
Answered 10/25/2005 by: MSIPackager
Third Degree Black Belt

Please log in to comment
0
well i am running as admin but the supervivsior part give error access database, but i check the informix part and that is fine, because if i reinstall procenter from the cd it will work so it's something i am missing, i just did a depend scan (which include of alot of nt and 95 dll) i am very surprise that they send version 5.1 and there is 6.5 out already. i am also going to as if we can upgrade
Answered 10/25/2005 by: linstead
Blue Belt

Please log in to comment
0
also is version 6.5 back compatible or do they also need to upgrade something on the back end
Answered 10/25/2005 by: linstead
Blue Belt

Please log in to comment
0
Hi linstead,

Is there an entry for "turbo" in the %systemroot%\system32\drivers\etc\services file? I needed a CA to put it in...

Ilikebananas
Answered 10/25/2005 by: Ilikebananas
Purple Belt

Please log in to comment
0
i don't have the turbo, question all you did was snap procenter 5.1 with repackager 5.5 and repack
Answered 10/26/2005 by: linstead
Blue Belt

Please log in to comment
0
v6.5 client upgrade was done with a server upgrade, I doubt it's backward compatible but you could ask.. v6.5 is still not ideal as the base package comes as an MSI but the patch is as an .exe which won't install silently (and makes a lot of changes to files and registry) so I ended up capturing the whole install (inc patch) and it's fine. Kinda annoying that they finally produce the installer as an MSI but still have a naff patching method [&:]

If you don't think it's a problem with permissions why not try installing your repackaged version, doing a pre-snap then uninstall your package, complete the vendor install from CD then do a post snap - it will show all differences and should hightlight what's missing..

Cheers,
Rob.
Answered 10/26/2005 by: MSIPackager
Third Degree Black Belt

Please log in to comment
0
thanks everyone i got it working the problem was the services so i write a script the append the service and write the turbo line and it works fine, the only problem i have left is the execute the supervisor.exe -s within a script but should not be too hard
Answered 10/26/2005 by: linstead
Blue Belt

Please log in to comment
Answer this question or Comment on this question for clarity